org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPParameter

All Superinterfaces:
  IBinding, ICPPBinding, ICPPVariable, IParameter, IVariable

    public interface ICPPParameter
    extends IParameter, ICPPVariable

### Field Summary

Fields
`static ICPPParameter[]` `EMPTY_CPPPARAMETER_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IParameter

`EMPTY_PARAMETER_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IVariable

`EMPTY_VARIABLE_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`IValue` `getDefaultValue()` Returns the default value of this parameter if it has one, or null otherwise.
`boolean` `hasDefaultValue()` if there is a default value or not.
`boolean` `isParameterPack()` Returns whether this parameter is a parameter pack.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IParameter

`getInitialValue`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPVariable

`isConstexpr, isExternC, isMutable`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IVariable

`getType, isAuto, isExtern, isRegister, isStatic`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPBinding

`getQualifiedName, getQualifiedNameCharArray, isGloballyQualified`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Field Detail

#### EMPTY_CPPPARAMETER_ARRAY

    static final ICPPParameter[] EMPTY_CPPPARAMETER_ARRAY

Since:
  5.2

### Method Detail

#### hasDefaultValue

    boolean hasDefaultValue()

if there is a default value or not.

#### getDefaultValue

    IValue getDefaultValue()

Returns the default value of this parameter if it has one, or null otherwise.

Since:
  5.7

#### isParameterPack

    boolean isParameterPack()

Returns whether this parameter is a parameter pack.

Since:
  5.2